<back to all web services

SaveConfigurationMessage

The following routes are available for this service:
All Verbs/RestApi/Sitefinity/Analytics/SaveConfiguration
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SaveConfigurationMessage:
    account_name: Optional[str] = None
    account_id: Optional[str] = None
    tracked_domain: Optional[str] = None
    profile_id: Optional[str] = None
    site_id: Optional[str] = None
    web_property_id: Optional[str] = None
    client_id: Optional[str] = None
    client_secret: Optional[str] = None
    use_equals: bool = False
    prepend_host: bool = False


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SaveConfigurationData:
    tracking_code: Optional[str] = None
    client_id: Optional[str] = None
    client_secret: Optional[str] = None
    selected_account: Optional[str] = None
    tracked_domain: Optional[str] = None
    selected_profile_id: Optional[str] = None

Python SaveConfigurationMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/Analytics/SaveConfiguration HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<SaveConfigurationMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
  <AccountId>String</AccountId>
  <AccountName>String</AccountName>
  <ClientId>String</ClientId>
  <ClientSecret>String</ClientSecret>
  <PrependHost>false</PrependHost>
  <ProfileId>String</ProfileId>
  <SiteId>00000000-0000-0000-0000-000000000000</SiteId>
  <TrackedDomain>String</TrackedDomain>
  <UseEquals>false</UseEquals>
  <WebPropertyId>String</WebPropertyId>
</SaveConfigurationMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<SaveConfigurationData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
  <ClientId>String</ClientId>
  <ClientSecret>String</ClientSecret>
  <SelectedAccount>String</SelectedAccount>
  <SelectedProfileId>String</SelectedProfileId>
  <TrackedDomain>String</TrackedDomain>
  <TrackingCode>String</TrackingCode>
</SaveConfigurationData>